> For the complete documentation index, see [llms.txt](https://api-docs.nf.domains/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.nf.domains/reference/integrators-guide/using-an-nfd-to-sending-to-non-algorand-chains..md).

# Using an NFD to sending to non-Algorand chains.

Fetching an NFD via the GET api will return any user-defined addresses for other chains the owner may have set.

They will each be returned as an array of addresses in the top-level property "**unverifiedCa**"\
ie:

```json
    "unverifiedCa": {
        "btc": ["xxxxxxxxxxxxxxxx"],
        "eth": ["xxxxxxxxxxxxxxxx"],
    }
```

All of these values are retrieved from the corresponding userDefined.ca.{token} property.  If the full **view** of the NFD is used, then these properties would be within the properties -> userDefined key.\
ie:

```json
{
    "appID": 763844423,
    "asaID": 763844429,
    "category": "common",
    "currentAsOfBlock": 21686682,
    "metaTags": [
        "9_letters"
    ],
    "name": "nfdomains.algo",
    "depositAccount": "RSV2YCHXA7MWGFTX3WYI7TVGAS5W5XH5M7ZQVXPPRQ7DNTNW36OW2TRR6I",
    "nfdAccount": "FQDCZYHSK6CHLESEN76AGMSZ4JMT2H5BKWSV6NN2YAKDF22NUAJAOZ4ZIY",
    "owner": "NRLA7VZ2YV6WOS2LBS3UK25DB463XRSNG63BYNQI6CSGGROFWVQ2EKBQSI",
    "properties": {
...
        "userDefined": {
...
            "ca.btc": "xxxxxx"
        }
    },
...
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.nf.domains/reference/integrators-guide/using-an-nfd-to-sending-to-non-algorand-chains..md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
